microsoft-foundry.rest.security.o-auth2-auth
Skills
Retrieve a specific version of a skill
GET
/skills/{name}/versions/{version}
Retrieves the specified version of a skill by name and version identifier.
路徑參數
name
string
必要
The name of the skill.
version
string
必要
The version identifier to retrieve.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
查詢參數
api-version
string
必要
The API version to use for this operation.
回覆
The request has succeeded.
主體
Content-Type: application/json
id
string
必要
The unique identifier of the skill version.
skill_id
string
必要
The identifier of the parent skill.
name
string
必要
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
version
string
必要
The version identifier. Skill versions are immutable.
description
string
必要
A human-readable description of the skill version.
created_at
integer
必要
Request
GET /skills/{name}/versions/{version} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json